<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.yzt.airconditionersystem.mapper.DeviceDataMapper">

    <resultMap id="BaseResultMap" type="com.yzt.airconditionersystem.bean.DeviceData">
            <id property="id" column="id" jdbcType="VARCHAR"/>
            <result property="Temp_read" column="Temp_read" jdbcType="DOUBLE"/>
            <result property="Humi_read" column="Humi_read" jdbcType="DOUBLE"/>
            <result property="Temp_set" column="Temp_set" jdbcType="DOUBLE"/>
            <result property="Humi_set" column="Humi_set" jdbcType="DOUBLE"/>
            <result property="Temp_accu" column="Temp_accu" jdbcType="DOUBLE"/>
            <result property="Humi_accu" column="Humi_accu" jdbcType="DOUBLE"/>
            <result property="refrigeration_P" column="refrigeration_P" jdbcType="DOUBLE"/>
            <result property="refrigeration_I" column="refrigeration_I" jdbcType="DOUBLE"/>
            <result property="dehumidification_P" column="dehumidification_P" jdbcType="DOUBLE"/>
            <result property="dehumidification_I" column="dehumidification_I" jdbcType="DOUBLE"/>
            <result property="heater_P" column="heater_P" jdbcType="DOUBLE"/>
            <result property="heater_I" column="heater_I" jdbcType="DOUBLE"/>
            <result property="humidification_P" column="humidification_P" jdbcType="DOUBLE"/>
            <result property="humidification_I" column="humidification_I" jdbcType="DOUBLE"/>
            <result property="hot_water_valve_set" column="hot_water_valve_set" jdbcType="DOUBLE"/>
            <result property="cold_water_valve_set" column="cold_water_valve_set" jdbcType="DOUBLE"/>
            <result property="humidification_set" column="humidification_set" jdbcType="DOUBLE"/>
            <result property="cold_water_valve_value" column="cold_water_valve_value" jdbcType="DOUBLE"/>
            <result property="hot_water_valve_value" column="hot_water_valve_value" jdbcType="DOUBLE"/>
            <result property="humidification_value" column="humidification_value" jdbcType="DOUBLE"/>
            <result property="Moisture_set" column="Moisture_set" jdbcType="DOUBLE"/>
            <result property="Moisture_value" column="Moisture_value" jdbcType="DOUBLE"/>
            <result property="delayed_wind_alarm" column="delayed_wind_alarm" jdbcType="INTEGER"/>
            <result property="unit_delay_stop" column="unit_delay_stop" jdbcType="INTEGER"/>
            <result property="unit_delay_stop" column="blower_delay" jdbcType="INTEGER"/>
            <result property="exhaust_fan_delay" column="exhaust_fan_delay" jdbcType="INTEGER"/>
            <result property="open_week" column="open_week" jdbcType="INTEGER"/>
            <result property="open_hour" column="open_hour" jdbcType="INTEGER"/>
            <result property="open_min" column="open_min" jdbcType="INTEGER"/>
            <result property="open_sec" column="open_sec" jdbcType="INTEGER"/>
            <result property="stop_week" column="stop_week" jdbcType="INTEGER"/>
            <result property="stop_hour" column="stop_hour" jdbcType="INTEGER"/>
            <result property="stop_min" column="stop_min" jdbcType="INTEGER"/>
            <result property="stop_sec" column="stop_sec" jdbcType="INTEGER"/>
            <result property="M_bit1" column="M_bit1" jdbcType="INTEGER"/>
            <result property="M_bit2" column="M_bit2" jdbcType="INTEGER"/>
            <result property="Q_bit3" column="Q_bit3" jdbcType="INTEGER"/>
            <result property="Temp" column="Temp" jdbcType="DOUBLE"/>
            <result property="Humi" column="Humi" jdbcType="DOUBLE"/>
            <result property="time" column="time" jdbcType="TIMESTAMP"/>
    </resultMap>

    <sql id="Base_Column_List">
        id,Temp_read,Humi_read,
        Temp_set,Humi_set,Temp_accu,
        Humi_accu,refrigeration_P,refrigeration_I,
        dehumidification_P,dehumidification_I,heater_P,
        heater_I,humidification_P,humidification_I,
        hot_water_valve_set,cold_water_valve_set,humidification_set,
        cold_water_valve_value,hot_water_valve_value,humidification_value,
        Moisture_set,Moisture_value,delayed_wind_alarm,
        unit_delay_stop,blower_delay,exhaust_fan_delay,
        open_week,open_hour,open_min,
        open_sec,stop_week,stop_hour,
        stop_min,stop_sec,M_bit1,
        M_bit2,Q_bit3,Temp,Humi,time
    </sql>
</mapper>
